Bug 197445 - Review Request: fuse-convmvfs
Review Request: fuse-convmvfs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
: Reopened
: 197446 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-01 13:50 EDT by Miao ZhiCheng
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 07:26:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
notting: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Rex Dieter 2006-07-01 14:19:31 EDT
*** Bug 197446 has been marked as a duplicate of this bug. ***
Comment 2 Parag AN(पराग) 2006-07-06 06:20:54 EDT
== Not an official review as I'm not yet sponsored ==
   Mock build for development i386 is sucessfull

* MUST Items:
     - MUST: rpmlint shows  error as
      W: fuse-convmvfs incoherent-version-in-changelog 0.2-1 0.2-1.fc5.y
      Your last entry in %changelog contains a version that is not coherent with
      the current version of your package.

     Change 0.2.1 to 0.2.1.fc5.y

     - MUST: dist tag is present
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package fuse-convmvfs, in the
format fuse-convmvfs.spec
      - MUST: This package meets the Packaging Guidelines.
      - MUST: This package contains License file as COPYING.
      - MUST: The package is licensed with an open-source compatible license GPL.
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
listing.
      - MUST: This package  have a %clean section, which contains rm -rf
$RPM_BUILD_ROOT.
      - MUST: This package used macros.
      - MUST: Document files are included like INSTALL README.
      - MUST: Package did NOT contained any .la libtool archives.
   
      * Source URL is NOT present and NOT working.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * BuildRequires is correct

Comment 4 Chris Weyl 2006-07-23 13:43:21 EDT
Hi ZC!

A couple quick notes:

* Are you sponsored?  If not, you need to block the bug FE-NEEDSPONSOR as well.
* It's customary to post direct links to the srpm and spec file you're asking to
be reviewed, not entries in CVS or tarball downloads.
Comment 6 Paul Howarth 2006-07-29 08:45:41 EDT
Reopened bug, which appears to have been closed by mistake.
Comment 7 Jon Nettleton 2006-12-06 20:21:56 EST
== Not an official review as I'm not yet sponsored ==

Release: should use the %{?dist} macro instead of have fc5 hard coded.

Everything else seems fine.  Next thing to do is follow the notes from Comment #4.
Comment 9 Mamoru TASAKA 2007-02-09 11:35:17 EST
Well, the srpm on comment 5 gets 550...
Comment 11 Mamoru TASAKA 2007-02-11 12:26:28 EST
Well, I will review this after I take a rest once
(I live in Japan, EST+14h).

By the way, it looks that this package is rather simple,
so:
--------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/Extras/HowToGetSponsored


Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to
review can be checked on:
https://bugzilla.redhat.com/bugzilla/showdependencytree.cgi?id=FE-NEW&hide_resolved=1

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 12 Miao ZhiCheng 2007-02-12 02:01:43 EST
I pre-reviewed this request: 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=226795

And the SPEC URL updated to this :
ftp://ftp.fedora.cn/pub/fedora-cn/in-review/fuse-convmvfs.spec
Comment 13 Mamoru TASAKA 2007-02-12 09:29:08 EST
Well, 
(In reply to comment #10)
> SRPM URL:
> ftp://ftp.fedora.cn/pub/fedora-cn/in-review/fuse-convmvfs-0.2.3-1.fc6.src.rpm

* Documentation
  - Please add more documents
-------------------------------------------
AUTHORS
NEWS
-------------------------------------------
  - "INSTALL" is not needed because this is needed when trying
    to install by themselves.

* URL
  Which URL is preferable, 
  http://sourceforge.net/projects/fuse-convmvfs/
  or http://fuse-convmvfs.sourceforge.net/ ?

Then, for your pre-review of 226795
- Well, this package seems somewhat special. For compiler package,
  the files, which usually should be in -devel package for other
  cases, are allowed to (and quite often, should) be in main
  package.
  But other pre-reviews seems good.


Okay..
----------------------------------------------------
  This package (fuse-convmvfs) is APPROVED by me.
----------------------------------------------------

Please follow the procedure of
http://fedoraproject.org/wiki/Extras/Contributors .
During the procedure, I will receive a mail which tells that
you need a sponsor and the I will sponsor you.
Comment 14 Miao ZhiCheng 2007-02-12 12:17:13 EST
Thanks for you help.

But still there's one trouble now, I stucked when excute ./common/cvs-import.sh,
it failed like this :
Checking out the modules file...
Module 'fuse-convmvfs' already exists...
Checking out module: 'fuse-convmvfs'
Unpacking source package: fuse-convmvfs-0.2.3-2.fc6.src.rpm...
L fuse-convmvfs-0.2.3.tar.gz
A fuse-convmvfs.spec

Checking : fuse-convmvfs-0.2.3.tar.gz on
https://cvs.fedora.redhat.com/repo/extras/upload.cgi...
This file (40ca966feb47d2fcdaedb682655fd3e3  fuse-convmvfs-0.2.3.tar.gz) is
already uploaded

Source upload succeeded. Don't forget to commit the new ./sources file
A sources
cvs update: use `cvs add' to create an entry for .cvsignore
? import.log
? devel/.cvsignore
cvs commit...
cvs commit: Pre-commit check failed
cvs [commit aborted]: correct above errors first!

Comment 15 Mamoru TASAKA 2007-02-12 12:22:36 EST
Well, the process is in way of changing and lots of
people are actually in trouble.

I confirmed that you wrote SyncNeeded, so all you can
do for now is just to wait...
Comment 16 Miao ZhiCheng 2007-02-12 22:36:49 EST
Ok, I just successfully import the SRPM. I'm in the stage of "make build", but
plague return failed :
/usr/bin/plague-client build fuse-convmvfs fuse-convmvfs-0_2_3-2_fc7 devel
Server returned an error: Insufficient privileges.

I've configured plague client, and "plague-client list_builders" runs well.

So do I have to wait for something to sync again?

Thanks.
Comment 17 Mamoru TASAKA 2007-02-12 23:07:39 EST
Well, if you did a procedure properly, perhaps
within a day you will be able to do "make build"
with success.

I forgot for my case, however 
http://fedoraproject.org/wiki/Extras/BuildSystemClientSetup
says:
----------------------------------------------------------
Please Notice

Sync to buildsys is a daily thing. So, sometimes you might have to wait for a
day to get access of the build server to give "make build"

Note You need to log in before you can comment on or make changes to this bug.